

package gov.va.med.cds.filter;


import gov.va.med.cds.clinicaldata.FilterMetaDataInterface;

import java.util.Collection;
import java.util.Properties;


public class FilterServiceSimulatorNoOp
    implements
        FilterServiceInterface
{

    @Override
    public boolean isAlive( )
    {
        return true;
    }

    @Override
    public Collection<String> getActiveFilterIds( String aVhimVersion )
        throws FilterServiceException
    {
        return null;
    }

    @Override
    public FilterMetaDataInterface getFilterMetaData( String aFilterId )
        throws FilterServiceException
    {
        return null;
    }

    @Override
    public Collection<String> getVhimVersions( )
        throws FilterServiceException
    {
        return null;
    }

    @Override
    public void initialize( )
    {
    }
    
    /**
     * Method signature added to match FileSystem simulator.
     * @param testProperties not used
     */
    public synchronized void setTestFilters( Properties testProperties )
    {
    }
}
